Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.default	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -41,4 +42,8 @@
 # if you want this host to be used as a remote host, uncomment next line
 #%remote_username   <replace by your username on this host>      <hi> parallel
+# if you want to load modules on the remote host, use the following line
+#%modules           <replace by the modules to be loaded>        <hi> parallel
+# if you want to perform initial commands on ssh connections, use the following line
+#%login_init_cmd    <replace by the inital commands>             <hi> parallel
 #
 %write_binary                true                             restart
@@ -158,3 +163,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.forwind
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -5,6 +6,6 @@
 %base_directory    $HOME/palm/current_version
 %base_data         $base_directory/JOBS
-%output_data       /data/work/fw/<user-id>/palm/current_version/JOBS
-# Replace <user-id> by your username on FLOW. Replace "/fw/" by "/iwes/" if
+%output_data       /data/work/fw/<replace by your username>/palm/current_version/JOBS
+# Replace <replace by your username> by your username on FLOW. Replace "/fw/" by "/iwes/" if
 # your user directory resides in /iwes/.
 %source_path       $base_directory/trunk/SOURCE
@@ -25,9 +26,9 @@
 # on host flow. Please note that other hosts may require different settings.
 #
-%remote_username   <user-id>                                      lcflow parallel
-%tmp_user_catalog  /data/work/fw/<user-id>/tmp                    lcflow parallel
-%tmp_data_catalog  /data/work/fw/<user-id>/palm_restart_data      lcflow parallel
-%compiler_name     mpiifort                                       lcflow parallel
-%compiler_name_ser ifort                                          lcflow parallel
+%remote_username   <replace by your username>                                      lcflow parallel
+%tmp_user_catalog  /data/work/fw/<replace by your username>/tmp                    lcflow parallel
+%tmp_data_catalog  /data/work/fw/<replace by your username>/palm_restart_data      lcflow parallel
+%compiler_name     mpiifort                                                        lcflow parallel
+%compiler_name_ser ifort                                                           lcflow parallel
 %cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__lc:-D__parallel  lcflow parallel
 %netcdf_inc        -I:/cm/shared/apps/netcdf/intel/64/4.1.3/include                 lcflow parallel
@@ -36,4 +37,6 @@
 %fopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian   lcflow parallel
 %lopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                  lcflow parallel
+%login_init_cmd    .:/cm/local/apps/environment-modules/3.2.6/Modules/3.2.6/init/bash\;:echo \$MODULEPATH\;:echo:\$MODULESHOME\;:MODULEPATH=/cm/shared/modulefiles/ lcflow parallel  lcflow parallel
+%modules           netcdf/intel/64/4.1.3:intel/ics/64/2011.0.013 intel/impi/64/4.0.1.007:hdf5/intel/64/1.8.7                                    lcflow parallel 
 #
 #
@@ -161,3 +164,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.ibmh
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -147,3 +148,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $output_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 892)
@@ -8,5 +8,5 @@
 %add_source_path   $base_directory/USER_CODE/$fname
 %depository_path   $base_directory/MAKE_DEPOSITORY
-%use_makefile      true
+#%use_makefile      true
 #
 # Enter your own host below by adding another line containing in the second
@@ -15,116 +15,47 @@
 # first characters of the host identifier should be "lc" (Linux cluster), "ibm"
 # (IBM-AIX), or "nec" (NEC-SX), respectively.
-%host_identifier   service100  lcsgih
-%host_identifier   r1*         lcsgih
-%host_identifier   h01*        lcsgih
-%host_identifier   r2*         lcsgib
-%host_identifier   b01*        lcsgib
-%host_identifier   gallego     lcmuk
-%host_identifier   nid00*      lcxt4
 #
-%remote_username   maronga     lcmuk parallel
-%tmp_user_catalog  /tmp                                          lcmuk parallel
-%compiler_name     mpif90                                        lcmuk parallel
-%compiler_name_ser ifort                                         lcmuk parallel
-%cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel
-%fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
-%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib                    lcmuk parallel
-#%hostfile          $base_directory/.hostfile                    lcmuk parallel
+%host_identifier   inferno      lcmuk
 #
-#%remote_username  maronga      lcmuk
-%tmp_user_catalog  /tmp                                          lcmuk
-%compiler_name     ifort                                         lcmuk
-%cpp_options       -D__netcdf:-D__netcdf_64bit                   lcmuk
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include       lcmuk
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf   lcmuk
-%fopts             -axW:-cpp:-r8:-nbs:-convert:little:endian     lcmuk
-%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib                    lcmuk
+# version 02/05/2012
+%remote_username   <replace by your IMUK username>                             lcmuk
+#%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk
+%compiler_name     ifort                                                       lcmuk
+%compiler_name_ser ifort                                                       lcmuk
+%cpp_options       -cpp:-D__netcdf                                             lcmuk
+%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include                   lcmuk
+%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk
+%mopts             -j:4                                                        lcmuk
+%fopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-convert:little_endian    lcmuk
+%lopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-Vaxlib                   lcmuk
 #
-%remote_username  maronga                                        lcmuk trace
-%tmp_user_catalog  /tmp                                          lcmuk trace
-%compiler_name     ifort                                         lcmuk trace
-%cpp_options       -D__netcdf:-D__netcdf_64bit                   lcmuk trace
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include       lcmuk trace
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf   lcmuk trace
-%fopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-convert:little:endian     lcmuk trace
-%lopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-Vaxlib                    lcmuk trace
+# version 02/05/2012
+%remote_username   <replace by your IMUK username>                             lcmuk parallel
+#%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk parallel
+%compiler_name     mpif90                                                      lcmuk parallel
+%compiler_name_ser ifort                                                       lcmuk parallel
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lcmuk parallel
+%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include                   lcmuk parallel
+%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk parallel
+%mopts             -j:4                                                        lcmuk parallel
+%fopts             -axW:-O3:-cpp:-openmp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcmuk parallel
+%lopts             -axW:-O3:-cpp:-openmp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcmuk parallel
+#%hostfile          $base_directory/.hostfile                                  lcmuk parallel
 #
-%sgi_feature       ice                                        lcsgih parallel
-%remote_username   nikmaron                                   lcsgih parallel
-%compiler_name     mpif90                                     lcsgih parallel
-%compiler_name_ser ifort                                      lcsgih parallel
-%mpilib            mvapich2/1.2.0-intel                       lcsgih parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgih parallel
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel
-%fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
-%lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgih parallel
-#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data                             lcsgih parallel
-#%tmp_user_catalog  /gfs1/tmp/nikmaron                                                lcsgih parallel
-#
-%sgi_feature       ice                                        lcsgih parallel debug
-%remote_username   nikmaron                                   lcsgih parallel debug
-%totalview         true                                       lcsgih parallel debug
-%compiler_name     mpif90                                     lcsgih parallel debug
-%compiler_name_ser ifort                                      lcsgih parallel debug
-%mpilib            mvapich2/1.2.0-intel                       lcsgih parallel debug
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel debug
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgih parallel debug
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel debug
-%fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel debug
-%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgih parallel debug
-#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data      lcsgih parallel debug
-#%tmp_user_catalog  /gfs1/tmp/nikmaron                         lcsgih parallel debug
-#
-%sgi_feature       ice                                        lcsgib parallel
-%remote_username   nikmaron                                   lcsgib parallel
-%compiler_name     mpif90                                     lcsgib parallel
-%compiler_name_ser ifort                                      lcsgib parallel
-%mpilib            mvapich2/1.2.0-intel                       lcsgib parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgib parallel
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgib parallel
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgib parallel
+# version 02/05/2012
+%remote_username   <replace by your IMUK username>                             lcmuk parallel trace
+#%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk parallel trace
+%compiler_name     mpif90                                                      lcmuk parallel trace
+%compiler_name_ser ifort                                                       lcmuk parallel trace
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel trace
+%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include            lcmuk parallel trace
+%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel trace
+%fopts             -C:-check:nooutput_conversion:-openmp:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcmuk parallel trace
+%lopts             -C:-check:nooutput_conversion:-openmp:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                 lcmuk parallel trace
 
-%fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel
-%lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgib parallel
-#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data                             lcsgib parallel
-#%tmp_user_catalog  /gfs1/tmp/nikmaron                                                lcsgib parallel
-#
-%sgi_feature       ice                                        lcsgib parallel debug
-%remote_username   nikmaron                                   lcsgib parallel debug
-%compiler_name     mpif90                                     lcsgib parallel debug
-%compiler_name_ser ifort                                      lcsgib parallel debug
-%mpilib            mvapich2/1.2.0-intel                       lcsgib parallel debug
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgib parallel debug
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include    lcsgib parallel debug
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgib parallel debug
-%fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel debug
-%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib           lcsgib parallel debug
-#%tmp_data_catalog  /gfs1/work/nikmaron/palm_restart_data      lcsgib parallel debug
-#%tmp_user_catalog  /gfs1/tmp/nikmaron                         lcsgib parallel debug
-
-#
-%remote_username     bjornm         lcxt4 parallel
-%tmp_user_catalog    /work/bjornm   lcxt4 parallel
-%tmp_data_catalog    /work/bjornm/PALM_RESTART_DATA  lcxt4 parallel
-#%job_catalog         /work/bjornm/job_queue lcxt4 parallel
-%compiler_name       ftn           lcxt4 parallel
-%compiler_name_ser   ftn           lcxt4 parallel
-%cpp_options        -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug   lcxt4 parallel
-%netcdf_inc         -I/work/apps/netcdf-3.6.2-cnl-pgi/include      lcxt4 parallel
-%netcdf_lib         -L/work/apps/netcdf-3.6.2-cnl-pgi/lib:-lnetcdf lcxt4 parallel
-%fopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
-%lopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
-#%fopts              -Mbounds:-fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
-#%lopts              -Mbounds:-fastsse:-Mpreprocess:-r8:-Mnobackslash        lcxt4 parallel
-
-%email_notification  maronga@muk.uni-hannover.de                 lcxt4 parallel
-#
 %write_binary                true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -146,7 +77,4 @@
 # Combine all particle information files
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
-# Collect plot data (2d/3d) into one file
-OC:combine_plot_fields.x
 #
 #----------------------------------------------------------------------------
@@ -182,17 +110,16 @@
 CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
 #
-DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr      nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp      nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts      nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts     nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy      nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av   nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz      nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av   nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz      nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av   nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d      nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av   nc
 DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
 DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
@@ -235,7 +162,7 @@
 DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
 DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
-DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
@@ -244,3 +171,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -48,4 +49,5 @@
 %sgi_feature       ice2                                       lcsgih parallel
 %modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgih parallel
+%login_init_cmd    .:/usr/share/modules/init/bash           lcsgih parallel
 #%remote_username    <replace by your HLRN username>          lcsgih parallel
 %compiler_name     ifort                                      lcsgih parallel
@@ -65,4 +67,5 @@
 %sgi_feature       ice2                                       lcsgih parallel trace
 %modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgih parallel trace
+%login_init_cmd    .:/usr/share/modules/init/bash           lcsgih parallel trace
 #%remote_username    <replace by your HLRN username>          lcsgih parallel trace
 %compiler_name     ifort                                      lcsgih parallel trace
@@ -77,4 +80,40 @@
 #%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel trace
 #%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel trace
+#
+#
+#
+%sgi_feature       ice2                                       lcsgib parallel
+%modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgib parallel
+%login_init_cmd    .:/usr/share/modules/init/bash           lcsgib parallel
+#%remote_username    <replace by your HLRN username>          lcsgib parallel
+%compiler_name     ifort                                      lcsgib parallel
+%compiler_name_ser ifort                                      lcsgib parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgib parallel
+%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgib parallel
+%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgib parallel
+%mopts             -j:4                                       lcsgib parallel
+%fopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel
+%lopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgib parallel
+%memory            1500                                       lcsgib parallel
+#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgib parallel
+#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgib parallel
+#
+#
+#
+%sgi_feature       ice2                                       lcsgib parallel trace
+%modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgib parallel trace
+%login_init_cmd    .:/usr/share/modules/init/bash           lcsgib parallel trace
+#%remote_username    <replace by your HLRN username>          lcsgib parallel trace
+%compiler_name     ifort                                      lcsgib parallel trace
+%compiler_name_ser ifort                                      lcsgib parallel trace
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgib parallel trace
+%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgib parallel trace
+%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgib parallel trace
+%mopts             -j:4                                       lcsgib parallel trace
+%fopts             -openmp:-override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgib parallel trace
+%lopts             -openmp:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgib parallel trace
+%memory            1500                                       lcsgib parallel trace
+#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgib parallel trace
+#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgib parallel trace
 #
 #
@@ -156,3 +195,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -47,4 +48,5 @@
 %sgi_feature       ice2                                       lcsgih parallel ice2
 %modules           intel.compiler:mvapich2:phdf5:pnetcdf      lcsgih parallel ice2
+%login_init_cmd    .:/usr/share/modules/init/bash           lcsgih parallel ice2
 #%remote_username  <replace by your HLRN username>            lcsgih parallel
 %compiler_name     mpif90                                     lcsgih parallel ice2
@@ -138,3 +140,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 892)
+++ palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 892)
@@ -0,0 +1,164 @@
+#$Id$
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+#
+# The next line is just an example. Add your own line below or replace this line.
+%host_identifier   hexagon*  lcxe6
+#
+#
+# The next block contains all informations for compiling the PALM code
+# and for generating and running the PALM executable using MPI. Replace all
+# required paths (given in <>) by the respective paths valid on your host.
+# Also replace <hi> by your host identifier (see above) in each line!
+# Compilernames, cpp-options and compiler-options are assuming
+# an Intel-Compiler and mpich2 on this host! Please change
+# appropriately, if you are using a different compiler / MPI-Version.
+#
+%tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                           lcxe6 parallel
+%compiler_name       ftn                                                                                                lcxe6 parallel
+%compiler_name_ser   ftn                                                                                                lcxe6 parallel
+%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug lcxe6 parallel
+%netcdf_inc          -I/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/include:-I/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/include:-I/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/include  lcxe6 parallel
+%netcdf_lib          -L/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/lib:-L/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/lib:-lnetcdf:-lnetcdff:-L/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/lib:-lhdf5_fortran:-lhdf5hl_fortran  lcxe6 parallel
+%mopts               -j:4                                                                                               lcxe6 parallel
+%fopts               -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcx36 parallel
+%lopts               -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcx36 parallel
+%remote_username     <replace by your CrayXE6 username>                                                                 lcxe6 parallel
+%memory              1500                                                                                               lcxe6 parallel
+%project_account     <replace by your project account (e.g. nersc, geofysisk)>                                          lcxe6 parallel
+%modules             modules:Base-opts:pmi:xt-mpich2:hdf5-parallel:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers  lcxe6 parallel
+%login_init_cmd      .:/opt/modules/default/init/ksh\;.:/etc/bash.bashrc.local\;module:swap:PrgEnv-cray:PrgEnv-intel    lcxe6 parallel
+#%email_notification <replace by your email address>                                                                    lcxe6 parallel
+#                     
+%write_binary        true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd; ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
+DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
+DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02     nc
+DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02_av  nc
+DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03     nc
+DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03_av  nc
+DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04     nc
+DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04_av  nc
+DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05     nc
+DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05_av  nc
+DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06     nc
+DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06_av  nc
+DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07     nc
+DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07_av  nc
+DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08     nc
+DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08_av  nc
+DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09     nc
+DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09_av  nc
+DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10     nc
+DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10_av  nc
+DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11     nc
+DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11_av  nc
+DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12     nc
+DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12_av  nc
+DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13     nc
+DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13_av  nc
+DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14     nc
+DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14_av  nc
+DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15     nc
+DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15_av  nc
+DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16     nc
+DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16_av  nc
+DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17     nc
+DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17_av  nc
+DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18     nc
+DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18_av  nc
+DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19     nc
+DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19_av  nc
+DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
+DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.lcxt4
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxt4	(revision 891)
+++ 	(revision )
@@ -1,166 +1,0 @@
-#column 1          column 2                                   column 3
-#name of variable  value of variable (~ must not be used)     scope
-#----------------------------------------------------------------------------
-%mainprog          palm.f90
-%base_directory    $HOME/palm/current_version
-%base_data         ~/palm/current_version/JOBS
-%source_path       $base_directory/trunk/SOURCE
-%add_source_path   $base_directory/USER_CODE/$fname
-%depository_path   $base_directory/MAKE_DEPOSITORY
-%use_makefile      true
-#
-# Enter your own host below by adding another line containing in the second
-# column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your operating system, the
-# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
-# (IBM-AIX), or "nec" (NEC-SX), respectively.
-#
-# The next line is just an example. Add your own line below or replace this line.
-%host_identifier   nid00*  lcxt4
-#
-#
-# The next block contains all informations for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Also replace <hi> by your host identifier (see above) in each line!
-# Compilernames, cpp-options and compiler-options are assuming
-# an Intel-Compiler and mpich2 on this host! Please change
-# appropriately, if you are using a different compiler / MPI-Version.
-#
-%tmp_user_catalog    /work/<replace by your CrayXT4 username>                                                          lcxt4 parallel
-%compiler_name       ftn                                                                                               lcxt4 parallel
-%compiler_name_ser   ftn                                                                                               lcxt4 parallel
-%cpp_options         -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug lcxt4 parallel
-%netcdf_inc          -I:/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/include:-I/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/include  lcxt4 parallel
-%netcdf_lib          -L/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/lib:-lnetcdf:-lnetcdff:-L/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/lib:-lhdf5_fortran:-lhdf5hl_fortran  lcxt4 parallel
-%mopts               -j:4                                                                                             lcxt4 parallel
-# Settings for Intel environment
-%fopts               -axW:-cpp:-O3:-r8:-nbs:-convert:little_endian:-I:/opt/cray/mpt/5.0.1/xt/seastar/mpich2-intel/include  lcxt4 parallel
-%lopts               -axW:-cpp:-O3:-r8:-nbs:-Vaxlib:-L:/opt/cray/mpt/5.0.1/xt/seastar/mpich2-intel/lib                     lcxt4 parallel
-# Settings for PGI environment
-#%fopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash:-I:/opt/cray/mpt/5.0.1/xt/seastar/mpich2-intel/include    lcxt4 parallel
-#%lopts              -fastsse:-Mpreprocess:-r8:-Mnobackslash:-L:/opt/cray/mpt/5.0.1/xt/seastar/mpich2-intel/lib        lcxt4 parallel
-%remote_username     <replace by your CrayXT4 username>                                                                lcxt4 parallel
-%memory              1500                                                                                              lcxt4 parallel
-%modules             Base-opts:modules:pmi:PrgEnv-intel:xt-mpt:hdf5-parallel:netcdf-hdf5parallel                       lcxt4 parallel
-#%email_notification  <replace by your email>                                                                          lcxt4 parallel
-
-
-%write_binary        true                             restart
-#
-#----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
-#----------------------------------------------------------------------------
-#IC:
-#
-#----------------------------------------------------------------------------
-# ERROR-commands - executed when program terminates abnormally
-#----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
-#
-#----------------------------------------------------------------------------
-# OUTPUT-commands - executed when program terminates normally
-#----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
-#----------------------------------------------------------------------------
-# List of input-files
-#----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
-#
-#----------------------------------------------------------------------------
-# List of output-files
-#----------------------------------------------------------------------------
-BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
-#
-RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
-RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
-HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
-HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
-CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
-CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
-#
-DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
-DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
-DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
-DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02     nc
-DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02_av  nc
-DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03     nc
-DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03_av  nc
-DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04     nc
-DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04_av  nc
-DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05     nc
-DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05_av  nc
-DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06     nc
-DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06_av  nc
-DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07     nc
-DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07_av  nc
-DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08     nc
-DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08_av  nc
-DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09     nc
-DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09_av  nc
-DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10     nc
-DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10_av  nc
-DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11     nc
-DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11_av  nc
-DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12     nc
-DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12_av  nc
-DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13     nc
-DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13_av  nc
-DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14     nc
-DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14_av  nc
-DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15     nc
-DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15_av  nc
-DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16     nc
-DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16_av  nc
-DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17     nc
-DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17_av  nc
-DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18     nc
-DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18_av  nc
-DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19     nc
-DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19_av  nc
-DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
-DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
-DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
-#
-DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
Index: palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.riam	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.riam	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -165,3 +166,3 @@
 PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
 PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.yonsei2011
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 891)
+++ palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 892)
@@ -1,2 +1,3 @@
+#$Id$
 # recommended settings for Department of Atmospheric Sciences
 # machines climate0-climate3 (host identifier "lcyon")
@@ -206,2 +207,3 @@
 DATA_2D_YZ_NETCDF_O    out:loc:tr yzo#:yzof   $base_data/$fname/OUTPUT _o_yz  nc
 DATA_2D_YZ_AV_NETCDF_O out:loc:tr yzo#:yzof   $base_data/$fname/OUTPUT _o_yz_av  nc
+# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 891)
+++ palm/trunk/SCRIPTS/mbuild	(revision 892)
@@ -130,5 +130,7 @@
      # 08/03/12 - BjornM- bugfix: cpp directive for namelist check program
      #                    corrected
-
+     # 02/05/12 - Bjoern  - lcxt4 is now lcxe6, adjustments for lcxe6, 
+     #                      bugfixes for the parameter file check, initial 
+     #                      commands on ssh calls sourced out to .mrun.config
 
 
@@ -511,5 +513,5 @@
         (lck)            remote_addres=165.132.26.61;;
         (lctit)          remote_addres=10.1.6.170;;
-        (lcxt4)          remote_addres=129.177.20.113;;
+        (lcxe6)          remote_addres=129.177.20.113;;
         (lcxt5m)         remote_addres=193.166.211.144;;
         (decalpha)       remote_addres=165.132.26.56;;
@@ -842,4 +844,23 @@
 
 
+       # get login init commands, "::" is replacing a space
+    line=""
+    grep  "$remote_host_string" $config_file | grep "%login_init_cmd"  >  $tmp_mbuild
+    while read line1
+    do
+
+       if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
+       then
+          line="$line1"
+       fi
+
+       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+       then
+             # EVENTUELLE DOPPELPUNKTE AUS DIREKTIVENSTRING ENTFERNEN
+          init_cmds=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g'`
+       fi
+       init_cmds="${init_cmds};"
+    done < $tmp_mbuild
+
 
        # get modules to be loaded
@@ -861,6 +882,4 @@
 
     done < $tmp_mbuild
-
-
 
 
@@ -1011,5 +1030,4 @@
     if [[ $remote_host != $local_host ]]
     then
-
        if [[ $compile_utility_programs = false ]]
        then
@@ -1103,16 +1121,15 @@
           then
 
-             ssh  ${remote_username}@${remote_addres}  "$module_calls cd ${remote_md}; echo '$make_call_string' > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
+             ssh  ${remote_username}@${remote_addres}  "$init_cmds $module_calls cd ${remote_md}; echo '$make_call_string' > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
 
           elif [[ $remote_host = ibmh ]]
           then
 
-             print "$module_calls export OBJECT_MODE=64; cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+             print "$init_cmds $module_calls export OBJECT_MODE=64; cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
 
           elif [[ $remote_host = lcsgib  ||  $remote_host = lcsgih ]]
           then
-
 #             print ". /usr/share/modules/init/bash; $module_calls  cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
-             print "eval \`/sw/swdist/bin/modulesinit\`; $module_calls  cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+             print "$init_cmds $module_calls cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
 
           elif [[ $remote_host = lctit ]]
@@ -1125,12 +1142,12 @@
              done
 
-          elif [[ $remote_host = lcxt4 ]]
-          then
-
-             ssh  ${remote_username}@${remote_addres} ". /opt/modules/default/init/ksh; $module_calls  cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
-
-          else
-
-             print "cd $module_calls ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+          elif [[ $remote_host = lcxe6 ]]
+          then
+
+             ssh  ${remote_username}@${remote_addres} "$init_cmds $module_calls cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
+
+          else
+
+             print "$init_cmds $module_calls cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
 
           fi
@@ -1265,13 +1282,14 @@
           fi
 
+
           if [[ $remote_host = ibms  ||  $remote_host = ibmy ]]
           then
 
-             ssh  ${remote_username}@${remote_addres}  "$module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR"
+             ssh  ${remote_username}@${remote_addres}  "$init_cmds $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR"
 
           elif [[ $remote_host = ibmh ]]
           then
 
-             print "$module_calls export OBJECT_MODE=64; cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres}
+             print "$init_cmds $module_calls export OBJECT_MODE=64; cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres}
 
           elif [[ $remote_host = lctit ]]
@@ -1281,15 +1299,15 @@
              while [[ $(cat ${remote_host}_last_make_protokoll | grep -c "Forwarding to N1GE") = 0 ]]
              do
-                print "$module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+                print "$init_cmds $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
              done
 
-          elif [[ $remote_host = lcxt4 ]]
-          then
-
-             ssh  ${remote_username}@${remote_addres} ". /opt/modules/default/init/ksh; $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
-
-          else
-
-             print "$module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+          elif [[ $remote_host = lcxe6 ]]
+          then
+
+             ssh  ${remote_username}@${remote_addres} "$init_cmds $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
+
+          else
+
+             print "$init_cmds $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
 
           fi
@@ -1302,8 +1320,8 @@
     else
 
-          # workaround for lcxt4
-       if [[ $remote_host = lcxt4 ]]
-       then
-          . /opt/modules/default/init/ksh
+          # workaround for lcxe6
+       if [[ $remote_host = lcxe6 ]]
+       then
+          $init_cmds
        fi
 
@@ -1415,4 +1433,27 @@
              echo "  *** compiling check_namelist_files ..."
 
+             # GET CHECK OPTIONS
+             line=""
+             found=false
+             grep  "$remote_host_string" $config_file | grep "%cpp_options"  >  $tmp_mbuild
+             while read line1
+             do
+
+                if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
+                then
+                   line="$line1"
+                fi
+
+                if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
+                then
+                   # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING UND ALLE -D ENTFERNEN
+                   line="$line "
+                   copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
+                   found=true
+                fi
+
+             done < $tmp_mbuild
+             copts_check="$copts_check -D__check -D__parallel"
+
              check_depository_path=${local_source_path}/../UTIL
              cd $check_depository_path
@@ -1423,7 +1464,5 @@
              rm -rf ${mainprog}_sources_check.tar
 
-             copts_check="-cpp -D__parallel -D__check"
-             make  -f Makefile_check $make_options F90=$compiler_name_ser  COPT="$copts_check"
-
+             make  -f Makefile_check $make_options  F90=$compiler_name_ser  COPT="$copts_check"
              tar -cf  check_namelist_files.tar Makefile_check check_namelist_files.x *.f90 *.o *.mod
              mv check_namelist_files.tar $check_depository_path
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 891)
+++ palm/trunk/SCRIPTS/mrun	(revision 892)
@@ -254,4 +254,7 @@
      # 12/03/12 - Siggi  - tasks_per_node divisor check not for lcflow
      # 21/03/12 - Matthias - default compiler on ibmh changed
+     # 02/05/12 - Bjoern  - lcxt4 is now lcxe6, adjustments for lcxe6, 
+     #                      bugfixes for the parameter file check, initial 
+     #                      commands on ssh calls sourced out to .mrun.config
 
 
@@ -333,5 +336,4 @@
  package_list=""
  punkte="..........................................................."
- p3d_suffix=""
  queue=none
  read_from_config=""
@@ -706,5 +708,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxt4|lcxt5m|lck|lckordi)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckordi)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -870,5 +872,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck|lckordi)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckordi)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1154,5 +1156,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck|lckordi)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckordi)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -1335,4 +1337,6 @@
        eval filename=${pathin[$i]}/${afname}${endin[$i]}
     fi
+    eval pathname=${pathin[$i]}
+
 
        # PRUEFEN AUF VORHANDENSEIN
@@ -2036,5 +2040,5 @@
  lopts="$lopts $netcdf_lib $dvr_lib"
  ROPTS="$ropts"
- if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 ||  $host = lcxt5m || $host = lck || $host = lckordi)  &&  -n $numprocs ]]
+ if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxe6 ||  $host = lcxt5m || $host = lck || $host = lckordi)  &&  -n $numprocs ]]
  then
     XOPT="-X $numprocs"
@@ -2100,4 +2104,10 @@
     done
     mc="$mc -u$remote_username"
+ fi
+
+    # CHECK FOR INITIAL COMMANDS AFTER LOGIN
+ if [[ "$login_init_cmd" != "" ]]
+ then
+    export init_cmds="${login_init_cmd};"
  fi
 
@@ -2378,30 +2388,60 @@
  if [[ ! -f $check_depository/check_namelist_files.tar || ! -f $PALM_BIN/check_namelist_files.x ]]
  then
-    skip_check=true 
-
+      skip_check=true 
+      reason="parameter file check has not been compiled."
+ fi
+
+#CHECK FOR PARALLEL RUN; OTHERWISE SKIP CHECK
+ if [[ "$cond1" != "parallel"  &&  "$cond2" != "parallel" ]]
+ then
+     skip_check=true 
+     reason="serial run."
  fi
 
 #ONLY PERFORM CHECK IF -z OPTION IS NOT SET, NO RESTART RUN IS CARRIED OUT AND IF THE EXECUTION HOST IS THE LOCAL HOST
- if [[ $check_namelist_files == false || $fromhost != $localhost || $run_coupled_model == true || $restart_run == true ]]
+ if [[ $check_namelist_files == false ]]
+ then
+     skip_check=true
+     reason="-z option set."
+ fi
+
+ if [[ $fromhost != $localhost ]]
+ then
+     skip_check=true
+     reason="submitting host is local host."  
+ fi  
+
+ if [[ $run_coupled_model == true ]]
  then
     skip_check=true
- fi
+    reason="coupled run."  
+ fi
+
+ if [[ $restart_run == true ]]
+ then
+    skip_check=true
+    reason="restart run."     
+
+ fi
+
+#SKIP CHECK IN CASE OF RESTART RUN: CHECK WHETHER THE LAST CHAR IS "f" IN PARIN
+ ((last_char = `echo $filename | wc -c` - 1))
+ last_char=`echo $filename |cut -c$last_char`
+ if [[ "$last_char" == "f" ]]
+ then
+    skip_check=true
+    reason="restart run.)"
+ fi 
+
  if [[ $skip_check == false ]]
  then
-    if [[ $ocean_file_appendix == true ]]
-    then
-       d3par_string="d3o#"
-       d3fpar_string="d3of"
-    else
-       d3par_string="d3#"
-       d3fpar_string="d3f"
-    fi
 
     tmp_check=${working_directory}/tmp_check
 
-#   GET PARAMETER FILE SUFFIX (USUALLY "_P3D")
+#   GET TOPOGRAPHY PARAMETER FILE SUFFIX (USUALLY "_P3DF"). THIS FILE MIGHT IS
+#   NOT NECESSARILY REQUIRED
     line=""
     found=false
-    grep  "$d3par_string" $config_file | grep "PARIN"  >  $tmp_check
+    grep  "TOPOGRAPHY_DATA" $config_file  >  $tmp_check
     while read line1
     do
@@ -2409,47 +2449,4 @@
        if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
        then
-             # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING ENTFERNEN
-          p3d_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no PARIN list entry found for $d3par_string in the configuration file."
-
-       locat=check_namelist; exit
-    fi
-
-#   GET RESTART PARAMETER FILE SUFFIX (USUALLY "_P3DF"). THIS FILE MIGHT IS
-#   NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "d3f" $config_file | grep "PARIN"  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          p3df_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no PARIN list entry found for d3f in the configuration file."
-    fi
-
-#   GET TOPOGRAPHY PARAMETER FILE SUFFIX (USUALLY "_P3DF"). THIS FILE MIGHT IS
-#   NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "d3f" $config_file | grep "TOPOGRAPHY_DATA"  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
           topo_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
           found=true
@@ -2467,5 +2464,5 @@
     for  item  in  $input_list
     do
-       if [[ "$item" == "restart" || "$item" == d3f || "$item" == d3of ]]
+       if [[ "$item" == "restart" ]]
        then
           check_restart=1
@@ -2476,7 +2473,7 @@
 
 #   ERROR IF NO PARAMETER FILE WAS FOUND, OTHERWISE PROCEED
-    if [[ ! -f $working_directory/JOBS/$fname/INPUT/${fname}${p3d_suffix} ]]
-    then
-       printf "\n\n  +++ ERROR: parameter file (${fname}${p3d_suffix}) not found." 
+    if [[ ! -f $filename ]]
+    then
+       printf "\n\n  +++ ERROR: parameter file ($filename) not found." 
        locat=check_namelist; exit
     fi
@@ -2485,7 +2482,11 @@
     if  [[ $check_restart == 1 ]]
     then
-       if [[ ! -f $working_directory/JOBS/$fname/INPUT/${fname}${p3df_suffix} ]]
-       then
-          printf "\n\n  +++ WARNING: restart parameter file (${fname}${p3df_suffix}) is missing."  
+
+
+
+       filenamef="${filename}f"
+       if [[ ! -f $filenamef ]]
+       then
+          printf "\n\n  +++ WARNING: restart parameter file ($filenamef) is missing."  
           check_restart=0
           answer=dummy
@@ -2514,6 +2515,7 @@
     cd $check_sources
 
+
 #   CHECK FOR USER CODE, OTHERWISE USE THE PRECOMPILED CHECK_NAMELIST_FILES.X
-    if [[ -d $working_directory/USER_CODE/$fname ]]
+    if [[ -d $add_source_path ]]
     then
        printf "\n\n  *** copying files from $check_depository" 
@@ -2524,5 +2526,5 @@
 
        printf "\n\n  *** adding user code." 
-       cp $working_directory/USER_CODE/$fname/* ./
+       cp $add_source_path/* ./
        touch check_namelist_files.f90
 
@@ -2561,15 +2563,15 @@
     fi
 
-    cp $working_directory/JOBS/$fname/INPUT/${fname}${p3d_suffix} ./PARIN
+    cp $filename ./PARIN
     if [[ $check_restart == 1 ]] 
     then
-       cp $working_directory/JOBS/$fname/INPUT/${fname}${p3df_suffix} ./PARINF   
-    fi
-
-
-    if [[ -f $working_directory/JOBS/$fname/INPUT/${fname}${topo_suffix} && $skip_check == false ]]
+       cp $filenamef ./PARINF   
+    fi
+
+cat ${pathname}/${fname}${topo_suffix}
+    if [[ -f ${pathname}/${fname}${topo_suffix} && $skip_check == false ]]
     then
        printf "\n  *** adding topography data"
-       cp $working_directory/JOBS/$fname/INPUT/${fname}${topo_suffix} ./TOPOGRAPHY_DATA
+       cp ${pathname}/${fname}${topo_suffix} ./TOPOGRAPHY_DATA
 
 #      IN CASE OF TOPOGRAPHY AND HIGH GRID POINT NUMBERS, THE STACK SIZE 
@@ -2620,5 +2622,5 @@
 
 #      CHECKING THE P3D FILE
-       printf "\n\n      (1) checking $fname$p3d_suffix"  
+       printf "\n\n      (1) checking $filename"  
        echo "$numprocs 0" > VARIN
        errors=`./check_namelist_files.x < VARIN 2>&1`
@@ -2637,5 +2639,5 @@
        if [[ $check_restart == 1 && $check_error == false ]]
        then
-          printf "\n\n      (2) checking $fname$p3df_suffix"  
+          printf "\n\n      (2) checking $filenamef"  
 
 #         FIRST CHECK IF INITIALIZING_ACTIONS="READ_RESTART_DATA" IS SET IN &INIPAR LIST
@@ -2711,5 +2713,5 @@
     fi
  else
-    printf "\n\n  +++ skipping parameter file check\n" 
+    printf "\n\n  +++ skipping parameter file check due to following reason: $reason" 
  fi
 
@@ -2717,4 +2719,5 @@
  rm -rf  $check_sources
  cd $working_directory
+
 
     # FALLS AUF DIESER MASCHINE GERECHNET WERDEN SOLL, WERDEN JETZT ENTSPRE-
@@ -2876,5 +2879,6 @@
        if [[ $localhost = nech ]]
        then
-          ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; $module_calls cd \$HOME/work/${usern}.$kennung; sxmake $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+#         init_cmds was ". /SX/opt/etc/initsx.sh;" 
+          ssh  136.172.44.192 -l $usern "$init_cmds $module_calls cd \$HOME/work/${usern}.$kennung; sxmake $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           cp  $TEMPDIR_COMPILE/a.out  .
           [[ $? != 0 ]]  &&  compile_error=true
@@ -2883,5 +2887,5 @@
        then
           printf "      compiler is called via ssh on \"plogin1\" \n"
-          ssh  plogin1  -l $usern  "export PATH=/sw/ibm/xlf/13.1.0.8/usr/bin:$PATH; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          ssh  plogin1  -l $usern  "$init_cmds export PATH=/sw/ibm/xlf/13.1.0.8/usr/bin:$PATH; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
@@ -2889,5 +2893,5 @@
        then
           printf "      compiler is called via ssh on \"bicegate0\" \n"
-          ssh  bicegate0  -l $usern  ". /usr/share/modules/init/bash; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          ssh  bicegate0  -l $usern  "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
@@ -2895,5 +2899,5 @@
        then
           printf "      compiler is called via ssh on \"hicegate0\" \n"
-          ssh  hicegate0    -l $usern  ". /usr/share/modules/init/bash; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
+          ssh  hicegate0  -l $usern  "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
@@ -2901,9 +2905,9 @@
        then 
           printf "      compiler is called via ssh on \"flow\" \n"
-          ssh  flow02.hpc.uni-oldenburg.de -l $usern ". /cm/local/apps/environment-modules/3.2.6/Modules/3.2.6/init/bash; echo $MODULEPATH; echo $MODULESHOME; MODULEPATH=/cm/shared/modulefiles/; module load netcdf/intel/64/4.1.3 intel/ics/64/2011.0.013 intel/impi/64/4.0.1.007 hdf5/intel/64/1.8.7; cd $TEMPDIR; make $mopts -f Makefile PROG=a.out F90=$compiler_name COPT=\"$cpp_options\" F90FLAGS=\"$fopts\" LDFLAGS=\"$lopts\" "
+          ssh  flow02.hpc.uni-oldenburg.de -l $usern "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out F90=$compiler_name COPT=\"$cpp_options\" F90FLAGS=\"$fopts\" LDFLAGS=\"$lopts\" "
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        else
-          [[ $localhost = lcxt4 ]]  &&  . /opt/modules/default/init/ksh
+          [[ $localhost = lcxe6 ]]  &&  eval $init_cmds
           [[ "$module_calls" != "" ]]  &&  eval $module_calls
           make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
@@ -3741,5 +3745,5 @@
                       mpirun -np $tasks_per_node inspxe-cl -r result -collect mi3 -- ./a.out  <  runfile_atmos
                    fi
-                elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
+                elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
                 then
                     aprun  -n $ii  -N $tasks_per_node  a.out  $ROPTS  < runfile_atmos
@@ -3780,5 +3784,5 @@
                       fi
 
-                   elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
+                   elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
                    then
 
@@ -3813,5 +3817,5 @@
                       fi
 
-                   elif [[ $host = lcxt4  ||  $host = lcxt5m ]]
+                   elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
                    then
 
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 891)
+++ palm/trunk/SCRIPTS/subjob	(revision 892)
@@ -136,5 +136,8 @@
      # 29/11/11 - Siggi - adjustments for lcsgih/lcsgib queues, pingui admitted
      # 21/12/11 - Theres- solano admitted
-     # 31/01/12 - Matthias- adjustments for ibmh
+     # 31/01/12 - Matthias - adjustments for ibmh
+     # 02/05/12 - Bjoern  - lcxt4 is now lcxe6, adjustments for lcxe6, 
+     #                      bugfixes for the parameter file check, initial 
+     #                      commands on ssh calls sourced out to .mrun.config
 
 
@@ -227,5 +230,5 @@
      (gregale)               local_addres=130.75.105.109; local_host=lcmuk;;
      (hababai)               local_addres=130.75.105.108; local_host=lcmuk;;
-     (hexagon.bccs.uib.no)   local_addres=129.177.20.113; local_host=lcxt4;;
+     (hexagon.bccs.uib.no)   local_addres=129.177.20.113; local_host=lcxe6;;
      (hd1)                   local_addres=130.75.4.104;   local_host=lcsgih;;
      (hd2)                   local_addres=130.75.4.105;   local_host=lcsgih;;
@@ -242,5 +245,5 @@
      (maestro)               local_addres=130.75.105.2;   local_host=lcmuk;;
      (meteo-login*)          local_addres=193.166.211.144;local_host=lcxt5m;;
-     (nid*)		     local_addres=129.177.20.113; local_host=lcxt4;;
+     (hexagon*)		     local_addres=129.177.20.113; local_host=lcxe6;;
      (nobel*)                local_addres=150.183.5.101;  local_host=ibms;;
      (orkan)                 local_addres=130.75.105.3;   local_host=lcmuk;;
@@ -390,5 +393,5 @@
         (lckordi) remote_addres=210.219.61.8; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=S; remote_addres=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
-        (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.4.9-snap.201005191035/bin/qsub;;
+        (lcxe6)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.5.10/bin/qsub;;
         (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
         (lcyon)   remote_addres=165.132.26.68; submcom=/usr/torque/bin/qsub;;
@@ -926,4 +929,5 @@
 eval \`/sw/swdist/bin/modulesinit\`
 #. /usr/share/modules/init/bash
+$init_cmds
 $module_calls
 
@@ -945,4 +949,5 @@
 eval \`/sw/swdist/bin/modulesinit\`
 #. /usr/share/modules/init/bash
+$init_cmds
 $module_calls
 
@@ -951,5 +956,5 @@
     fi
 
- elif [[ $remote_host = lcxt4 ]]
+ elif [[ $remote_host = lcxe6 ]]
  then
 
@@ -969,5 +974,5 @@
 $email_directive
 
-. /opt/modules/default/init/ksh
+$init_cmds
 $module_calls
 
@@ -988,5 +993,5 @@
 #PBS -o $remote_dayfile
 
-. /opt/modules/default/init/ksh
+$init_cmds
 $module_calls
 
@@ -1036,5 +1041,5 @@
 #PBS -o $remote_dayfile
 
-. /opt/modules/default/init/ksh
+$init_cmds
 $module_calls
 
@@ -1053,5 +1058,5 @@
 #PBS -o $remote_dayfile
 
-. /opt/modules/default/init/ksh
+$init_cmds
 $module_calls
 
@@ -1141,5 +1146,5 @@
     cat > $job_to_send << %%END%%
 #!/bin/ksh
-
+$init_cmds
 $module_calls
 
@@ -1438,5 +1443,5 @@
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4  ||  $localhost = lck  || $localhost = lckordi||  $localhost = lcyon ]]
+       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi||  $localhost = lcyon ]]
        then
           chmod  u+x  $job_on_remhost
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 891)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 892)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix for parameter file check ( excluding __netcdf4 )
 !
 ! Former revisions:
@@ -2982,4 +2982,5 @@
        CONTINUE
 #else
+#if ! defined ( __check )
        message_string = 'NetCDF: NetCDF4 format requested but no ' // &
                         'cpp-directive __netcdf4 given & switch '  // &
@@ -2989,5 +2990,5 @@
 #endif
     ENDIF
-
+#endif
 !
 
